uk.ac.starlink.task

## Class IntegerParameter

- java.lang.Object
- - uk.ac.starlink.task.Parameter<java.lang.Integer>
  - - uk.ac.starlink.task.IntegerParameter

-     public class IntegerParameter
      extends Parameter<java.lang.Integer>

  Parameter representing an integer value.

- - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.task.Parameter

      `BY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerParameter(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `intValue(Environment env)` Returns the value of this parameter as an int primitive.
    `void` | `setEven()` Mandates that any value of this parameter must be even.
    `void` | `setIntDefault(int dflt)` Sets the default value as an integer.
    `void` | `setMaximum(int max)` Mandates a maximum value for this parameter.
    `void` | `setMinimum(int min)` Mandates a minimum value for this parameter.
    `void` | `setOdd()` Mandates that any value of this parameter must be odd.
    `java.lang.Integer` | `stringToObject(Environment env, java.lang.String stringval)` Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter.

    - ### Methods inherited from class uk.ac.starlink.task.Parameter

      `clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerParameter

          public IntegerParameter(java.lang.String name)

  - ### Method Detail

    - #### stringToObject

          public java.lang.Integer stringToObject(Environment env,
                                                  java.lang.String stringval)
                                           throws ParameterValueException

      Description copied from class: `Parameter`
      Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter. This method also performs validation, so if the string value is unacceptable in any way, a ParameterValueException should be thrown.

      It is an error to supply a null or empty string value.

      If this method fails (throws a ParameterValueException) and if `allowClassnameValue` is set, then a subsequent attempt will be made to interpret the `stringVal` as the classname of a suitable class with a no-arg constructor.

      Specified by:
        `stringToObject` in class `Parameter<java.lang.Integer>`
      Parameters:
        `env` - execution environment; in most cases this is not required but for some purposes environment-specific characteristics may influence the result
        `stringval` - non-null, non-empty string value
      Returns:
        typed value
      Throws:
        `ParameterValueException`

    - #### intValue

          public int intValue(Environment env)
                       throws TaskException

      Returns the value of this parameter as an int primitive.
      Returns:
        int value
      Throws:
        `java.lang.NullPointerException` - if parameter value is null (only possible if isNullPermitted true)
        `TaskException`

    - #### setIntDefault

          public void setIntDefault(int dflt)

      Sets the default value as an integer.
      Parameters:
        `dflt` - new default value

    - #### setEven

          public void setEven()

      Mandates that any value of this parameter must be even.

    - #### setOdd

          public void setOdd()

      Mandates that any value of this parameter must be odd.

    - #### setMinimum

          public void setMinimum(int min)

      Mandates a minimum value for this parameter.
      Parameters:
        `min` - the smallest value this parameter may take

    - #### setMaximum

          public void setMaximum(int max)

      Mandates a maximum value for this parameter.
      Parameters:
        `max` - the largest value this parameter may take.

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.